aws-0.24.4: Amazon Web Services (AWS) for Haskell

Copyright | Soostone Inc
License | BSD3
Maintainer | Ozgun Ataman <ozgun.ataman@soostone.com>
Stability | experimental
Safe Haskell | None
Language | Haskell2010

Aws.DynamoDb.Commands.Scan

Description

Implementation of Amazon DynamoDb Scan command.

See: `http://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_Scan.html`

Synopsis

- data Scan = Scan {
  - sTableName :: Text
  - sConsistentRead :: Bool
  - sFilter :: Conditions
  - sStartKey :: Maybe [Attribute]
  - sLimit :: Maybe Int
  - sIndex :: Maybe Text
  - sSelect :: QuerySelect
  - sRetCons :: ReturnConsumption
  - sSegment :: Int
  - sTotalSegments :: Int
  }
- scan :: Text -> Scan
- data ScanResponse = ScanResponse {
  - srItems :: Vector Item
  - srLastKey :: Maybe [Attribute]
  - srCount :: Int
  - srScanned :: Int
  - srConsumed :: Maybe ConsumedCapacity
  }

# Documentation

data Scan #

A Scan command that uses primary keys for an expedient scan.

Constructors

Scan |

Fields

- sTableName :: Text

  Required.

- sConsistentRead :: Bool

  Whether to require a consistent read

- sFilter :: Conditions

  Whether to filter results before returning to client

- sStartKey :: Maybe [Attribute]

  Exclusive start key to resume a previous query.

- sLimit :: Maybe Int

  Whether to limit result set size

- sIndex :: Maybe Text

  Optional. Index to `Scan`

- sSelect :: QuerySelect

  What to return from `Scan`

- sRetCons :: ReturnConsumption
- sSegment :: Int

  Segment number, starting at 0, for parallel queries.

- sTotalSegments :: Int

  Total number of parallel segments. 1 means sequential scan.

#### Instances

Instances details

ToJSON Scan # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods toJSON :: Scan -> Value # toEncoding :: Scan -> Encoding # toJSONList :: [Scan] -> Value # toEncodingList :: [Scan] -> Encoding # omitField :: Scan -> Bool #
SignQuery Scan # |

Instance details

Defined in Aws.DynamoDb.Commands.Scan

Associated Types

type ServiceConfiguration Scan |
Instance details Defined in Aws.DynamoDb.Commands.Scan type ServiceConfiguration Scan = DdbConfiguration

Methods

signQuery :: Scan -> ServiceConfiguration Scan queryType -> SignatureData -> SignedQuery #

Read Scan # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods readsPrec :: Int -> ReadS Scan # readList :: ReadS [Scan] # readPrec :: ReadPrec Scan # readListPrec :: ReadPrec [Scan] #
Show Scan # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods showsPrec :: Int -> Scan -> ShowS # show :: Scan -> String # showList :: [Scan] -> ShowS #
Eq Scan # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods (==) :: Scan -> Scan -> Bool # (/=) :: Scan -> Scan -> Bool #
Ord Scan # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods compare :: Scan -> Scan -> Ordering # (<) :: Scan -> Scan -> Bool # (<=) :: Scan -> Scan -> Bool # (>) :: Scan -> Scan -> Bool # (>=) :: Scan -> Scan -> Bool # max :: Scan -> Scan -> Scan # min :: Scan -> Scan -> Scan #
IteratedTransaction Scan ScanResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods nextIteratedRequest :: Scan -> ScanResponse -> Maybe Scan #
Transaction Scan ScanResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Scan
type ServiceConfiguration Scan # |
Instance details Defined in Aws.DynamoDb.Commands.Scan type ServiceConfiguration Scan = DdbConfiguration

scan #

Arguments

:: Text | Table name
-> Scan |

Construct a minimal `Scan` request.

data ScanResponse #

Response to a `Scan` query.

Constructors

ScanResponse |

Fields

- srItems :: Vector Item
- srLastKey :: Maybe [Attribute]
- srCount :: Int
- srScanned :: Int
- srConsumed :: Maybe ConsumedCapacity

#### Instances

Instances details

FromJSON ScanResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods parseJSON :: Value -> Parser ScanResponse # parseJSONList :: Value -> Parser [ScanResponse] # omittedField :: Maybe ScanResponse #
AsMemoryResponse ScanResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.Scan

Associated Types

type MemoryResponse ScanResponse |
Instance details Defined in Aws.DynamoDb.Commands.Scan type MemoryResponse ScanResponse = ScanResponse

Methods

loadToMemory :: ScanResponse -> ResourceT IO (MemoryResponse ScanResponse) #

Read ScanResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods readsPrec :: Int -> ReadS ScanResponse # readList :: ReadS [ScanResponse] # readPrec :: ReadPrec ScanResponse # readListPrec :: ReadPrec [ScanResponse] #
Show ScanResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods showsPrec :: Int -> ScanResponse -> ShowS # show :: ScanResponse -> String # showList :: [ScanResponse] -> ShowS #
Eq ScanResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods (==) :: ScanResponse -> ScanResponse -> Bool # (/=) :: ScanResponse -> ScanResponse -> Bool #
Ord ScanResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.Scan

Methods

compare :: ScanResponse -> ScanResponse -> Ordering #

(<) :: ScanResponse -> ScanResponse -> Bool #

(<=) :: ScanResponse -> ScanResponse -> Bool #

(>) :: ScanResponse -> ScanResponse -> Bool #

(>=) :: ScanResponse -> ScanResponse -> Bool #

max :: ScanResponse -> ScanResponse -> ScanResponse #

min :: ScanResponse -> ScanResponse -> ScanResponse #

IteratedTransaction Scan ScanResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods nextIteratedRequest :: Scan -> ScanResponse -> Maybe Scan #
ListResponse ScanResponse Item # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods listResponse :: ScanResponse -> [Item] #
ResponseConsumer r ScanResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.Scan

Associated Types

type ResponseMetadata ScanResponse |
Instance details Defined in Aws.DynamoDb.Commands.Scan type ResponseMetadata ScanResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata ScanResponse) -> HTTPResponseConsumer ScanResponse #

Transaction Scan ScanResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Scan
type MemoryResponse ScanResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Scan type MemoryResponse ScanResponse = ScanResponse
type ResponseMetadata ScanResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Scan type ResponseMetadata ScanResponse = DdbResponse